Bug 1198286 - [abrt] ccsm: Widgets.py:1097:grab_value:ValueError: invalid literal for int() with base 16: '"\xd0\x9d\xd0\xbe\xd0\xb2\xd0\xb0\xd1\x8f \xd0\xb2\xd0\xba\xd0\xbb\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb0 \xe2\x80\x93 Yandex"'
Summary: [abrt] ccsm: Widgets.py:1097:grab_value:ValueError: invalid literal for int()...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ccsm
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d6167715f4b0d1ad66c5f725e0a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-03 17:40 UTC by Sergei S. Rublёv
Modified: 2015-12-02 17:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 09:41:20 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.13 KB, text/plain)
2015-03-03 17:40 UTC, Sergei S. Rublёv
no flags Details
File: environ (2.93 KB, text/plain)
2015-03-03 17:40 UTC, Sergei S. Rublёv
no flags Details

Description Sergei S. Rublёv 2015-03-03 17:40:13 UTC
Description of problem:
Was trying to adjust compiz's task-switcher which is buggy and causes X hanging. Was examining "Window switcher", tried to "read" ("Считать") something. "Cross" cursor appeared. I clicked somewhere on the screen and got this bug.

Version-Release number of selected component:
ccsm-0.8.4-15.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/ccsm
executable:     /usr/bin/ccsm
kernel:         3.18.3-201.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
Widgets.py:1097:grab_value:ValueError: invalid literal for int() with base 16: '"\xd0\x9d\xd0\xbe\xd0\xb2\xd0\xb0\xd1\x8f \xd0\xb2\xd0\xba\xd0\xbb\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb0 \xe2\x80\x93 Yandex"'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/ccm/Widgets.py", line 1097, in grab_value
    value += "%c" % int(hex, 16)
ValueError: invalid literal for int() with base 16: '"\xd0\x9d\xd0\xbe\xd0\xb2\xd0\xb0\xd1\x8f \xd0\xb2\xd0\xba\xd0\xbb\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb0 \xe2\x80\x93 Yandex"'

Local variables in innermost frame:
widget: <gtk.Button object at 0x7fd98b114be0 (GtkButton at 0x2f25f10)>
hex: '"\xd0\x9d\xd0\xbe\xd0\xb2\xd0\xb0\xd1\x8f \xd0\xb2\xd0\xba\xd0\xbb\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb0 \xe2\x80\x93 Yandex"'
self: <MatchButton object at 0x7fd98b11db90 (ccm+Widgets+MatchButton at 0x2f4c1b0)>
list: ['"\xd0\x9d\xd0\xbe\xd0\xb2\xd0\xb0\xd1\x8f \xd0\xb2\xd0\xba\xd0\xbb\xd0\xb0\xd0\xb4\xd0\xba\xd0\xb0 \xe2\x80\x93 Yandex"']
value: ''
prefix: 'title'
type_widget: <gtk.ComboBox object at 0x7fd98b1146e0 (GtkComboBox at 0x2ca53d0)>
value_widget: <gtk.Entry object at 0x7fd98b114230 (GtkEntry at 0x27651e0)>

Comment 1 Sergei S. Rublёv 2015-03-03 17:40:16 UTC
Created attachment 997610 [details]
File: backtrace

Comment 2 Sergei S. Rublёv 2015-03-03 17:40:18 UTC
Created attachment 997611 [details]
File: environ

Comment 3 Fedora End Of Life 2015-11-04 13:20:50 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-12-02 09:41:23 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.